using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SStartSceneLoader : MonoBehaviour {

    private GameObject _logicInstance;

    void Awake()
    {
        _logicInstance = GameObject.Find("LogicInstance");
        Debug.Assert(_logicInstance != null);
    }

    void Start ()
    {
        //ShowUI();
        //AddUIController();
        //AddLuaRoot();
	}

    private void ShowUI()
    {
        // Add CanvasUI
        GameObject canvasStart = SFramework.SResourceManager.LoadResource("prefabs/canvas_start.prefab") as GameObject;
        GameObject.Instantiate(canvasStart);
    }

    private void AddUIController()
    {
        // Add UIController
        //_logicInstance.AddComponent<SUIPanelStart>();
    }

    private void AddLuaRoot()
    {
        GameObject luaRoot = SFramework.SResourceManager.LoadResource("prefabs/luaroot.prefab") as GameObject;
        GameObject.Instantiate(luaRoot);
    }
}
